package consts

var projectStatusMap = map[int64]string{
	1: "创建中",
	2: "待审核",
	3: "审核通过",
	4: "招募中",
	5: "招募完毕",
	6: "待支付",
	7: "已支付",
	8: "失效",
	9: "执行中",
	10: "已结案",
}

func GetProjectStatus(status int64) string {
	toast, contain := projectStatusMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var ProjectPlatformMap = map[int64]string{
	1: "小红书",
	2: "抖音",
	3: "微博",
	4: "快手",
	5: "b站",
	6: "大众点评",
	7: "知乎",
}

func GetProjectPlatform(status int64) string {
	toast, contain := ProjectPlatformMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var ProjectFormMap = map[int64]string{
	1: "实体商品寄拍",
	2: "虚拟产品测评",
	3: "线下探店打卡",
	4: "素材微原创",
}

func GetProjectForm(status int64) string {
	toast, contain := ProjectFormMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var ProjectContentTypeMap = map[int64]string{
	1: "图文",
	2: "视频",
}

func GetProjectContentType(status int64) string {
	toast, contain := ProjectContentTypeMap[status]
	if contain {
		return toast
	}
	return "未知"
}
