package db

import (
	"context"
	"fmt"
	"github.com/sirupsen/logrus"
	"gorm.io/gorm"
	"youngee_m_api/model/gorm_model"
)

//GetUser 查找用户，查不到返回空
func GetUser(ctx context.Context, User string) (*gorm_model.YounggeeUser, error) {
	db := GetReadDB(ctx)
	user := &gorm_model.YounggeeUser{}
	err := db.Model(user).Where("user = ?", User).First(user).Error
	if err != nil {
		if err == gorm.ErrRecordNotFound {
			fmt.Println("record not found")
			return nil, nil
		}
		return nil, err
	}
	return user, nil
}

//GetUserByID 查不到返回空
func GetUserByID(ctx context.Context, ID int64) (*gorm_model.YounggeeUser, error) {
	db := GetReadDB(ctx)
	user := &gorm_model.YounggeeUser{}
	err := db.Model(user).Where("id = ?", ID).First(user).Error
	if err != nil {
		if err == gorm.ErrRecordNotFound {
			fmt.Println("record not found")
			return nil, nil
		}
		return nil, err
	}
	return user, nil
}

// GetAllUser 查找所有用户
func GetAllUser(ctx context.Context) ([]string, error) {
	db := GetReadDB(ctx)
	db = db.Debug().Model([]gorm_model.YounggeeUser{}).Where("role = ? or role = ?","1","2")
	var user []gorm_model.YounggeeUser
	db.Find(&user)
	var total int64
	if err := db.Count(&total).Error; err != nil {
		logrus.WithContext(ctx).Errorf("[GetAllUser] error query mysql total, err:%+v", err)
		return nil, err
	}
	var userList []string
	for _,User := range user{
		userList = append(userList,User.User)
	}
	return userList, nil
}
