package http_model

import "time"

type ShowProjectPhoto struct {
	PhotoUrl string `json:"photo_url"` // 图片url
	PhotoUid string `json:"photo_uid"`
}

type ShowRecruitStrategy struct {
	FeeForm       string `json:"fee_form"`       // 稿费形式，1-3分别代表自报价、固定稿费、产品置换
	StrategyID    string `json:"strategy_id"`    // 策略id
	FollowersLow  string `json:"followers_low"`  // 达人粉丝数下限
	FollowersUp   string `json:"followers_up"`   // 达人粉丝数上限
	RecruitNumber string `json:"recruit_number"` // 招募数量
	Offer         string `json:"offer"`          // 报价
}

type ShowProjectData struct {
	ProjectName      string                `json:"project_name"`      // 项目名称
	ProjectStatus    string                `json:"project_status"`    // 项目状态，1-7分别代表创建中、待审核、招募中、待支付、失效、执行中、已结案
	ProjectType      string                `json:"project_type"`      // 项目类型，1代表全流程项目，2代表专项项目
	ProjectPlatform  string                `json:"project_platform"`  // 项目平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	ProjectForm      string                `json:"project_form"`      // 项目形式，1-4分别代表实体商品寄拍、虚拟产品测评、线下探店打卡、素材微原创
	TalentType       string                `json:"talent_type"`       // 达人类型
	RecruitDdl       time.Time             `json:"recruit_ddl"`       // 招募截止时间
	ContentType      string                `json:"content_type"`      // 内容形式，1代表图文，2代表视频
	ProjectDetail    string                `json:"project_detail"`    // 项目详情
	RecruitStrategys []ShowRecruitStrategy `json:"recruit_strategys"` // 定价策略
	ProjectPhotos    []ShowProjectPhoto    `json:"project_photos"`    // 项目图片
	ProductID        string                `json:"product_id"`        // 关联商品id
	EnterpriseID     string                `json:"enterprise_id"`     // 企业id
	Balance          string                `json:"balance"`           //企业余额
	ProjectID        string                `json:"project_id"`        // 项目id
	CreateAt         time.Time             `json:"create_at"`         //创建时间
	UpdateAt         time.Time             `json:"update_at"`         //更新时间
	Phone            string                `json:"phone"`             //联系方式
}

type ShowProjectRequest struct {
	EnterpriseID     string                `json:"enterprise_id"`     // 企业id
	ProjectID int64 `json:"Project_id"` // 项目id
}

func NewShowProjectRequest() *ShowProjectRequest {
	return new(ShowProjectRequest)
}
func NewShowProjectResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(ShowProjectData)
	return resp
}
