package route

import (
	"github.com/gin-gonic/gin"
	"youngee_m_api/handler"
	"youngee_m_api/model/http_model"
)

func InitRoute(r *gin.Engine) {

	r.POST("/login", handler.WrapCodeLoginHandler)
	r.GET("/getLoginUser", handler.WrapGetLoginUserHandler)
	r.GET("/test/ping", func(c *gin.Context) {
		resp := http_model.CommonResponse{
			Status:  0,
			Message: "",
			Data:    "ping",
		}
		c.JSON(200, resp)
	})
	//r.Any("/testDemo", func(c *gin.Context) {
	//	resp := http_model.CommonResponse{
	//		Status:  0,
	//		Message: "",
	//		Data:    "pong",
	//	}
	//	c.JSON(200, resp)
	//	// 注意这里只是debug用的 接口要写成handler形式
	//})
	m := r.Group("/youngee/m")
	{
		m.POST("/test", func(c *gin.Context) {
			resp := http_model.CommonResponse{
				Status:  0,
				Message: "",
				Data:    "ping",
			}
			c.JSON(200, resp)
		})
		m.POST("/product/list", handler.WrapFullProjectListHandler)
		m.POST("/project/show", handler.WrapShowProjectHandler)
		//m.POST("/product/findall", handler.WrapFindAllProductHandler)
		m.POST("/product/find", handler.WrapFindProductHandler)
		m.POST("/pay/paysum", handler.WrapPaySumHandler)
		m.POST("/project/update", handler.WrapUpdateProjectHandler)
		m.POST("/project/approve", handler.WrapApproveProjectHandler)
	}

}
