package service

import (
	"context"
	"youngee_m_api/db"
	"youngee_m_api/model/http_model"
)

var Product *product

type product struct {
}

func (*product) FindByID(ctx context.Context, productID int64) (*http_model.FindProductData, error) {
	product, err := db.GetProductByID(ctx, productID)
	if err != nil {
		return nil, err
	}
	if product == nil {
		return nil, nil
	}
	productPhotos, err := db.GetProductPhotoByProductID(ctx, productID)
	if err != nil {
		return nil, err
	}
	findProductData := http_model.FindProductData{
		ProductID:     product.ProductID,
		ProductName:   product.ProductName,
		ProductType:   product.ProductType,
		ShopAddress:   product.ShopAddress,
		ProductPrice:  product.ProductPrice,
		ProductDetail: product.ProductDetail,
		ProductUrl:    product.ProductUrl,
		EnterpriseID:  product.EnterpriseID,
		BrandName:     product.BrandName,
	}
	for _, photo := range productPhotos {
		productPhoto := http_model.ProductPhoto{
			PhotoUrl: photo.PhotoUrl,
			PhotoUid: photo.PhotoUid,
			Symbol:   photo.Symbol,
		}
		findProductData.ProductPhotos = append(findProductData.ProductPhotos, productPhoto)
	}
	return &findProductData, nil
}
